import '@kano/styles/typography.js';
import { LitElement } from 'lit-element/lit-element.js';
import { BlocklyEditorBannerWidget } from './blockly-banner.js';
export declare class KCFloatingMenu extends LitElement {
    title: string;
    header: string;
    static readonly styles: import("lit-element").CSSResult[];
    render(): import("lit-element").TemplateResult;
    renderContent(): void;
    renderActions(): void;
}
export declare class FloatingMenu extends BlocklyEditorBannerWidget {
    protected title: string;
    protected header: string;
    protected menuNode?: KCFloatingMenu;
    constructor(title: string, header: string);
    getMenuNode(): KCFloatingMenu;
    getDomNode(): HTMLElement;
}
